Security Enhanced Linux Reference Policy

# Layer: services

## Module: inetd

Interfaces

### Description:

Internet services daemon.

### Interfaces:

inetd_core_service_domain( domain , entrypoint )

##### Summary

Define the specified domain as a inetd service.

##### Description

Define the specified domain as a inetd service. The inetd_service_domain(), inetd_tcp_service_domain(), or inetd_udp_service_domain() interfaces should be used instead of this interface, as this interface only provides the common rules to these three interfaces.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type associated with the inetd service process.
entrypoint | The type associated with the process program.

inetd_domtrans_child( domain )

##### Summary

Run inetd child process in the inet child domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

inetd_rw_tcp_sockets( domain )

##### Summary

Read and write inetd TCP sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

inetd_service_domain( domain , entrypoint )

##### Summary

Define the specified domain as a TCP and UDP inetd service.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type associated with the inetd service process.
entrypoint | The type associated with the process program.

inetd_tcp_service_domain( domain , entrypoint )

##### Summary

Define the specified domain as a TCP inetd service.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type associated with the inetd service process.
entrypoint | The type associated with the process program.

inetd_udp_service_domain( domain , entrypoint )

##### Summary

Define the specified domain as a UDP inetd service.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type associated with the inetd service process.
entrypoint | The type associated with the process program.

inetd_use_fds( domain )

##### Summary

Inherit and use inetd file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return